#include <iostream>
#include <cstdlib>
using namespace std;

int brojCifara(int broj){
	int rez = 0;
	while(broj != 0){
		broj /= 10; 
		rez++;
	}
	return rez;
}
string Sudari(string a, string b, int brojcifarab, int brojcifaraa){
	string cifraa, cifrab;
	string rez="";
	for(int i = 0; i < brojcifarab; i++){
			cifraa = a[brojcifaraa-i-1];
			cifrab = b[brojcifarab-i-1];
			if(stoi(cifraa) > stoi(cifrab))
				rez+=cifraa;
			else if(stoi(cifrab) > stoi(cifraa)) 
					rez+=cifrab;
			else{
				rez+=cifraa;
				rez+=cifraa;
            }

		}
		brojcifaraa-=brojcifarab;
		for(int i = 0; i <= brojcifaraa;i++){
		    cifraa = a[brojcifaraa-i-1];
			rez+=cifraa;
		}
		return rez;
}

int main(){
	int a, b;
	cin >> a >> b;
	string rez;
	int brojcifaraa = brojCifara(a);
	int brojcifarab = brojCifara(b);
	if(brojcifaraa > brojcifarab)
		rez = Sudari(to_string(a),to_string(b), brojcifarab, brojcifaraa);
	else
		rez = Sudari(to_string(b),to_string(a), brojcifaraa, brojcifarab);
	int len = rez.length();
	for(int i = len-1; i >= 0; i--) cout << rez[i];
}